@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Checkbox {
  &-normal {
    width: 1.25rem;
    height: 1.25rem;
  }

  &-tiny {
    width: 0.75rem;
    height: 0.75rem;
  }

  &-large {
    width: 1.56rem;
    height: 1.56rem;
  }

  &-xlarge {
    width: 2rem;
    height: 2rem;
  }

  &-square {
    [type="checkbox"] + span {
      border-radius: 2px;
    }
  }

  &-circle {
    [type="checkbox"] + span {
      border-radius: 100%;
    }
  }

  .CheckboxContent {
    text-rendering: optimizelegibility;
    user-select: none;
    border-radius: 2px;
  }

  [type="checkbox"] {
    display: none;
  }

  [type="checkbox"] + span {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    margin: 0;
    border-width: 3px;
    border-style: solid;
  }
}

@include themify("Checkbox", $themes) {
  .CheckboxContent {
    color: themed("text-primary");
    font-family: themed("font-family");
  }

  &.Checkbox {
    &-focus {
      [type="checkbox"] + span {
        border-color: themed("status-focus");
      }

      [type="checkbox"]:checked + span {
        background-color: themed("status-focus");
      }
    }

    &-inactive {
      [type="checkbox"] + span {
        border-color: themed("button-secondary");
      }

      [type="checkbox"]:checked + span {
        background-color: themed("button-secondary");
      }
    }

    &-active {
      [type="checkbox"] + span {
        border-color: themed("status-active");
      }

      [type="checkbox"]:checked + span {
        background-color: themed("status-active");
      }
    }

    &-danger {
      [type="checkbox"] + span {
        border-color: themed("status-danger");
      }

      [type="checkbox"]:checked + span {
        background-color: themed("status-danger");
      }
    }

    &-busy {
      [type="checkbox"] + span {
        border-color: themed("status-busy");
      }

      [type="checkbox"]:checked + span {
        background-color: themed("status-busy");
      }
    }
  }
}
